classification
Title: Elemental Security contribution - pgen2 package
Type: Stage:
Components: Interpreter Core Versions: Python 2.5
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: gvanrossum Nosy List: gvanrossum
Priority: normal Keywords: patch

Created on 2005-10-25 17:52 by gvanrossum, last changed 2008-03-18 05:03 by gvanrossum. This issue is now closed.

Files
File name Uploaded Description Edit
pgen2.zip gvanrossum, 2005-10-25 17:52 pgen2 package in a zip file
Messages (2)
msg48912 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2005-10-25 17:52
Here's the other Elemental contribution that I've
promised for years. :-)

This is a re-implementation of my old pgen parser
generator. There's a sample showing how you define a
simple grammar for Pythonic expressions.

The code needs some work to make it usable; I plan to
do this on my own time.
msg63891 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-03-18 05:03
This has now been included in the sandbox code for 2to3 and is slated
for inclusion in the Python trunk (and the py3k branch).  Closing this
patch.
History
Date User Action Args
2008-03-18 05:03:34gvanrossumsetstatus: open -> closed
resolution: accepted
messages: + msg63891
title: Elemental Security contribution - pgen2 package -> Elemental Security contribution - pgen2 package
2007-09-15 22:31:03loewisunlinkissue1165 dependencies
2007-09-15 15:31:10esrlinkissue1165 dependencies
2005-10-25 17:52:17gvanrossumcreate